Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.config.java.valuesource
Class ValueResolutionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.beans.BeansException
                          org.springframework.beans.FatalBeanException
                              org.springframework.beans.factory.BeanDefinitionStoreException
                                  org.springframework.config.java.valuesource.ValueResolutionException

All Implemented Interfaces:
  java.io.Serializable

    public class ValueResolutionException

extends org.springframework.beans.factory.BeanDefinitionStoreException

TODO: JAVADOC

Author:
  Rod Johnson
See Also:
  Serialized Form

Constructor Summary
`ValueResolutionException(java.lang.String name, java.lang.String message)` Creates a new ValueResolutionException object.
`ValueResolutionException(java.lang.String name, java.lang.Throwable t)`

Method Summary
`java.lang.String` | `getValueName()`

Methods inherited from class org.springframework.beans.factory.BeanDefinitionStoreException
`getBeanName, getResourceDescription`

Methods inherited from class org.springframework.beans.BeansException
`equals, hashCode`

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValueResolutionException

    public ValueResolutionException(java.lang.String name,
                                    java.lang.String message)

  Creates a new ValueResolutionException object.

  Parameters:
    `msg` -
    `ex` -

### ValueResolutionException

    public ValueResolutionException(java.lang.String name,
                                    java.lang.Throwable t)

Method Detail

### getValueName

    public java.lang.String getValueName()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD